## org.eclipse.emf.transaction.util
Interface ConditionalRedoCommand

All Superinterfaces:
  org.eclipse.emf.common.command.Command

All Known Implementing Classes:
  ConditionalRedoCommand.Compound, EMFOperationCommand, RecordingCommand, TriggerCommand

    public interface ConditionalRedoCommand

extends org.eclipse.emf.common.command.Command

A specialization of the EMF `Command` API that accounts for conditional redoable-ness. This interface adds a `canRedo()` operation in conjunction with the `Command.canUndo()`.

This interface is intended to be implemented by clients.

Nested Class Summary
`static class` `ConditionalRedoCommand.Compound` A conditionally redoable compound command.

Method Summary
`boolean` `canRedo()` Queries whether I can be redone.

Methods inherited from interface org.eclipse.emf.common.command.Command
`canExecute, canUndo, chain, dispose, execute, getAffectedObjects, getDescription, getLabel, getResult, redo, undo`

Method Detail

### canRedo

    boolean canRedo()

  Queries whether I can be redone. The result of calling this operation is undefined until I have been `undone`. Note that it is acceptable for a conditionally redoable command not to be redoable if it has successfully been undone, or even after having been successfully redone at least once before.

  Returns:
    `true` if I can be redone; `false`, otherwise

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.